
///////////////////////////////////////////////////////////////////////////
// This program is free software: you can redistribute it and/or modify  //
// it under the terms of the version 3 of the GNU General Public License //
// as published by the Free Software Foundation.                         //
//                                                                       //
// This program is distributed in the hope that it will be useful, but   //
// WITHOUT ANY WARRANTY; without even the implied warranty of            //
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      //
// General Public License for more details.                              //
//                                                                       //
// You should have received a copy of the GNU General Public License     //
// along with this program. If not, see <http://www.gnu.org/licenses/>.  //
//                                                                       //
// Written by Francois Fleuret, (C) IDIAP                                //
// Contact <francois.fleuret@idiap.ch> for comments & bug reports        //
///////////////////////////////////////////////////////////////////////////

#ifndef LABELLED_IMAGE_POOL_H
#define LABELLED_IMAGE_POOL_H

#include "shared.h"
#include "labelled_image.h"

class LabelledImagePool {
public:
  virtual ~LabelledImagePool();
  virtual int nb_images() = 0;
  virtual LabelledImage *grab_image(int n_image) = 0;
  virtual void release_image(int n_image) = 0;
};

#endif
